# Build GLPK for DOS with Digital Mars C/C++

CFLAGS = -I. -I..\include -I..\src -I..\src\amd -I..\src\colamd -w -mx -O

OBJSET = \
..\src\glpapi01.obj \
..\src\glpapi02.obj \
..\src\glpapi03.obj \
..\src\glpapi04.obj \
..\src\glpapi05.obj \
..\src\glpapi06.obj \
..\src\glpapi07.obj \
..\src\glpapi08.obj \
..\src\glpapi09.obj \
..\src\glpapi10.obj \
..\src\glpapi11.obj \
..\src\glpapi12.obj \
..\src\glpapi13.obj \
..\src\glpapi14.obj \
..\src\glpapi15.obj \
..\src\glpapi16.obj \
..\src\glpapi17.obj \
..\src\glpapi18.obj \
..\src\glpapi19.obj \
..\src\glpapi20.obj \
..\src\glpavl.obj \
..\src\glpbfd.obj \
..\src\glpbfx.obj \
..\src\glpcpx.obj \
..\src\glpdmp.obj \
..\src\glpdmx.obj \
..\src\glpfhv.obj \
..\src\glpgmp.obj \
..\src\glphbm.obj \
..\src\glpini01.obj \
..\src\glpini02.obj \

OBJSET1 = \
..\src\glpios01.obj \
..\src\glpios02.obj \
..\src\glpios03.obj \
..\src\glpios04.obj \
..\src\glpios05.obj \
..\src\glpios06.obj \
..\src\glpios07.obj \
..\src\glpios08.obj \
..\src\glpios09.obj \
..\src\glpios10.obj \
..\src\glpipm.obj \
..\src\glpipp01.obj \
..\src\glpipp02.obj \
..\src\glplib01.obj \
..\src\glplib02.obj \
..\src\glplib03.obj \
..\src\glplib04.obj \
..\src\glplib05.obj \
..\src\glplib06.obj \
..\src\glplib07.obj \
..\src\glplib08.obj \
..\src\glplib09.obj \
..\src\glplib10.obj \
..\src\glplib11.obj \
..\src\glplib12.obj \
..\src\glplpf.obj \
..\src\glplpp01.obj \
..\src\glplpp02.obj \
..\src\glplpx01.obj \
..\src\glplpx02.obj \
..\src\glplpx03.obj \
..\src\glplpx04.obj \
..\src\glplpx05.obj \
..\src\glpluf.obj \
..\src\glplux.obj \
..\src\glpmat.obj \

OBJSET2 = \
..\src\glpmpl01.obj \
..\src\glpmpl02.obj \
..\src\glpmpl03.obj \
..\src\glpmpl04.obj \
..\src\glpmpl05.obj \
..\src\glpmpl06.obj \
..\src\glpmps.obj \
..\src\glpnet01.obj \
..\src\glpnet02.obj \
..\src\glpnet03.obj \
..\src\glpnet04.obj \
..\src\glpnet05.obj \
..\src\glpnet06.obj \
..\src\glpnet07.obj \
..\src\glpnpp01.obj \
..\src\glpnpp02.obj \
..\src\glpqmd.obj \
..\src\glprgr.obj \
..\src\glprng01.obj \
..\src\glprng02.obj \
..\src\glpscf.obj \
..\src\glpscg.obj \
..\src\glpscl.obj \
..\src\glpsds.obj \
..\src\glpspm.obj \
..\src\glpspx01.obj \
..\src\glpspx02.obj \
..\src\glpsql.obj \
..\src\glpssx01.obj \
..\src\glpssx02.obj \
..\src\glptsp.obj \
..\src\amd\amd_1.obj \
..\src\amd\amd_2.obj \
..\src\amd\amd_aat.obj \
..\src\amd\amd_control.obj \
..\src\amd\amd_defaults.obj \
..\src\amd\amd_dump.obj \
..\src\amd\amd_info.obj \
..\src\amd\amd_order.obj \
..\src\amd\amd_post_tree.obj \
..\src\amd\amd_postorder.obj \
..\src\amd\amd_preprocess.obj \
..\src\amd\amd_valid.obj \
..\src\colamd\colamd.obj

.c.obj:
        sc.exe $(CFLAGS) -o$*.obj -c $*.c

all: glpk1.lib glpk2.lib glpk.lib glpsol.exe

glpk1.lib: $(OBJSET)
        lib.exe -c $@ $**
        
glpk2.lib: $(OBJSET1)
        lib.exe -c $@ $** glpk1.lib        

glpk.lib: $(OBJSET2)
        lib.exe -c $@ $** glpk2.lib

glpsol.exe: ..\examples\glpsol.obj glpk.lib
        sc.exe $(CFLAGS) ..\examples\glpsol.obj glpk.lib X32.lib

check: glpsol.exe
        glpsol.exe --mps ..\examples\plan.mps

